Update Notification Types

Update Notification Types
Update notification types for multiple providers at once

Update notification types for multiple notification providers in an organization. The id of the organization is fetched from CSP token

Request
URI
PUT
https://api.app-catalog.vmware.com/v1/notification-providers/notification-types
COPY
Request Body
UpdateNotificationTypesRequest of type(s) application/json
Required

Show optional properties

{
    "configurations": [
        {
            "provider_id": "e24ae877-6bfa-42da-a735-4ea55fba6c45",
            "enabled_notifications": [
                {}
            ]
        }
    ]
}
{
    "configurations": [
        {
            "provider_id": "e24ae877-6bfa-42da-a735-4ea55fba6c45",
            "enabled_notifications": [
                "CRITICAL_CVE_PATCH_AVAILABLE"
            ]
        }
    ]
}
array of object
configurations
Required
Constraints: minItems: 1

List of provider notification configurations

Authentication
This operation uses the following authentication methods.
Responses
204

The notification types have been updated

Operation doesn't return any data structure

400

An error related to the request

Returns ConstraintsViolationsError of type(s) application/problem+json
This response body class contains all of the following: Error
{
    "type": "https://example.com/probs/validation-error",
    "title": "Validation error",
    "status": 400,
    "detail": "There was an error validating the request",
    "violations": [
        {
            "field": "amount",
            "message": "It should be greater than zero"
        }
    ]
}

403

The requesting user is not authorized to update notification types

Returns Error403 of type(s) application/problem+json
This response body class contains all of the following: Error
{
    "type": "https://example.com/probs/out-of-credit",
    "title": "You do not have enough credit.",
    "status": 403,
    "detail": "Your current balance is 30, but that costs 50",
    "instance": "/account/2217eb9c-f042-11eb-9a03-0242ac130003/msgs/abc"
}

404

One or more notification providers not found

Returns Error404 of type(s) application/problem+json
This response body class contains all of the following: Error
{
    "type": "https://example.com/probs/out-of-credit",
    "title": "You do not have enough credit.",
    "status": 403,
    "detail": "Your current balance is 30, but that costs 50",
    "instance": "/account/2217eb9c-f042-11eb-9a03-0242ac130003/msgs/abc"
}

500

An internal server error object

Returns Error500 of type(s) application/problem+json
This response body class contains all of the following: Error
{
    "type": "https://example.com/probs/out-of-credit",
    "title": "You do not have enough credit.",
    "status": 403,
    "detail": "Your current balance is 30, but that costs 50",
    "instance": "/account/2217eb9c-f042-11eb-9a03-0242ac130003/msgs/abc"
}

503

The server is temporarily unavailable

Returns Error503 of type(s) application/problem+json
This response body class contains all of the following: Error
{
    "type": "https://example.com/probs/out-of-credit",
    "title": "You do not have enough credit.",
    "status": 403,
    "detail": "Your current balance is 30, but that costs 50",
    "instance": "/account/2217eb9c-f042-11eb-9a03-0242ac130003/msgs/abc"
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"configurations":["object"]}' https://{api_host}/v1/notification-providers/notification-types